%define major	0
%define libname	%mklibname idn2_ %{major}
%define devname	%mklibname idn2 -d

Summary:	Library to support IDNA2008 internationalized domain names
Name:		libidn2
Version:	2.3.4
Release:	%mkrel 1
License:	(GPL-2.0-or-later OR LGPL-3.0-or-later) AND GPL-3.0-or-later
Group:		System/Libraries
URL:		https://www.gnu.org/software/libidn/#libidn2
Source0:	https://ftp.gnu.org/gnu/libidn/libidn2-%{version}.tar.xz
BuildRequires:	lzip
BuildRequires:	gettext-devel
BuildRequires:	libunistring-devel
# for tests
BuildRequires:	locales
BuildRequires:	gtk-doc

%description
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package -n idn2
Summary:	Command line interface to the Libidn2 implementation of IDNA2008
License:	GPL-3.0-or-later
Group:		Development/Other

%description -n idn2
Internationalized Domain Name (IDNA2008) convert STRINGS, or standard input.

%package -n %{libname}
Summary:	Shared libraries for libidn2
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
Requires:	%{name}-i18n >= %{version}-%{release}
Provides:	bundled(gnulib)

%description -n %{libname}
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package -n %{devname}
Summary:	Development files for libidn2
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use libidn2.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Internationalization and locale data for %{name}.

%prep
%setup -q
%apply_patches

# allow running autoreconf
sed -i -e 's/AM_GNU_GETTEXT_VERSION/AM_GNU_GETTEXT_REQUIRE_VERSION/g' configure.ac

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

# Don't install any libtool .la files
find %{buildroot} -name "*.la" -delete

# Some file cleanups
rm -f %{buildroot}%{_datadir}/info/dir

# Remove example-only binaries for now
rm -f %{buildroot}%{_bindir}/{lookup,register}

%find_lang %{name}

%files -n idn2
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*
%{_infodir}/%{name}.info*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
%{_mandir}/man3/*

%files i18n -f %{name}.lang


%changelog
* Thu Oct 27 2022 tex - 2.3.4-1pclos2022
- new version

* Thu May 13 2021 tex - 2.3.1-1pclos2021
- new version

* Tue Oct 15 2019 tex - 2.0.5-2pclos2019
- rebuild against updates

* Sat Sep 08 2018 tex 2.0.5-1pclos2018
- NEW
